<vn>
<div id="title">
	<h1><t>Connections</t></h1>
</div>
<div id="actions">
	<htk-bar-button
		icon="refresh"
		tip="_Refresh"
		on-click="onRefreshClick"/>
	<div class="connections-sum">
		<htk-text>
			<db-calc-sum
				property="param"
				model="sessions"
				func="sessionsFunc"/>
		</htk-text> 
		<t>connections</t>
	</div>
</div>
<div id="form" class="connections">
	<div class="box">
		<htk-repeater form-id="iter">
			<db-model property="model" id="sessions" on-status-changed="onModelStatusChange">
				<custom>
					SELECT s.id, e.user_id, c.Cliente, e.date_time login, is_new,
					s.lastUpdate last_activity, a.platform, a.browser, a.version, u.name user
						FROM userSession s
						JOIN visit_user e ON s.userVisit = e.id
						JOIN visit_access c ON e.access_id = c.id
						JOIN visit_agent a ON c.agent_id = a.id
						JOIN visit v ON a.visit_id = v.id
						JOIN account.user u ON e.user_id = u.id
						JOIN vn2008.Clientes c ON e.user_id = c.Id_cliente
							ORDER BY last_activity DESC
				</custom>
			</db-model>
			<custom>
				<div class="item">
					<htk-button
						form="iter"
						column="id"
						tip="_Supplant user"
						icon="incognito"
						on-click="onChangeUserClick"/>
					<htk-button
						form="iter"
						column="id"
						tip="_Access log"
						icon="gnome"
						on-click="onAccessLogClick"/>
					<p class="important">
						<htk-text form="iter" column="Cliente"/>
					</p>
					<p>
						<htk-text form="iter" column="login" format="%a, %T"/> - 
						<htk-text form="iter" column="last_activity" format="%T"/>
					</p>
					<p>
						<htk-text form="iter" column="platform"/> - 
						<htk-text form="iter" column="browser"/> 
						<htk-text form="iter" column="version"/>
					</p>
			</div>
			</custom>
		</htk-repeater>
	</div>
</div>
</vn>
